#!/usr/bin/python3
# Initialise a blank 'Data' directory and drug subdirs etc.
# TODO:
# - Read base dir from config file
# - Create eg: '~/git/Data/{original,processed}
# - Create eg: '~/git/Data/processed/' + drug (for each drug)
# - Create eg: '~/git/Data/output/' + drug + '{plots, structure}'


#%% specify homedir as python doesn't recognise tilde
homedir = os.path.expanduser('~') 

#%% variable assignment: input and output paths & filenames
drug = 'pyrazinamide'
gene = 'pncA'
gene_match = gene + '_p.'

#==========
# data dir
#==========
#indir = 'git/Data/pyrazinamide/input/original'
datadir = homedir + '/' + 'git/Data'

#==========
# input dir
#==========
indir = datadir + '/' + drug + '/' + 'input'

#============
# output dir
#============
# several output files
outdir = datadir + '/' + drug + '/' + 'output'

#%%end of variable assignment for input and output files
#==============================================================================
